Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Interface ColumnFamilyStoreMBean

All Known Implementing Classes:
  ColumnFamilyStore

    public interface ColumnFamilyStoreMBean

The MBean interface for ColumnFamilyStore

Method Summary
`void` | `disableAutoCompaction()` Disable automatic compaction.
`long` | `estimateKeys()`
`void` | `forceMajorCompaction()` force a major compaction of this column family
`long` | `getBloomFilterDiskSpaceUsed()`
`long` | `getBloomFilterFalsePositives()`
`double` | `getBloomFilterFalseRatio()`
`java.util.List<java.lang.String>` | `getBuiltIndexes()` Returns a list of the names of the built column indexes for current store
`java.lang.String` | `getColumnFamilyName()`
`java.lang.String` | `getCompactionStrategyClass()` Gets the compaction strategy class name
`java.util.Map<java.lang.String,java.lang.String>` | `getCompressionParameters()` Get the compression parameters
`double` | `getCompressionRatio()`
`long[]` | `getEstimatedColumnCountHistogram()`
`long[]` | `getEstimatedRowSizeHistogram()`
`long[]` | `getLifetimeReadLatencyHistogramMicros()`
`long[]` | `getLifetimeWriteLatencyHistogramMicros()`
`long` | `getLiveDiskSpaceUsed()`
`int` | `getLiveSSTableCount()`
`int` | `getMaximumCompactionThreshold()` Gets the maximum number of sstables in queue before compaction kicks off
`long` | `getMaxRowSize()`
`long` | `getMeanRowSize()`
`long` | `getMemtableColumnsCount()` Returns the total number of columns present in the memtable.
`long` | `getMemtableDataSize()` Returns the total amount of data stored in the memtable, including column related overhead.
`int` | `getMemtableSwitchCount()` Returns the number of times that a flush has resulted in the memtable being switched out.
`int` | `getMinimumCompactionThreshold()` Gets the minimum number of sstables in queue before compaction kicks off
`long` | `getMinRowSize()`
`int` | `getPendingTasks()`
`long` | `getReadCount()`
`long` | `getRecentBloomFilterFalsePositives()`
`double` | `getRecentBloomFilterFalseRatio()`
`long[]` | `getRecentReadLatencyHistogramMicros()`
`double` | `getRecentReadLatencyMicros()`
`long[]` | `getRecentSSTablesPerReadHistogram()`
`long[]` | `getRecentWriteLatencyHistogramMicros()`
`double` | `getRecentWriteLatencyMicros()`
`java.util.List<java.lang.String>` | `getSSTablesForKey(java.lang.String key)` Returns a list of filenames that contain the given key on this node
`long[]` | `getSSTablesPerReadHistogram()`
`long` | `getTotalDiskSpaceUsed()`
`long` | `getTotalReadLatencyMicros()`
`long` | `getTotalWriteLatencyMicros()`
`int` | `getUnleveledSSTables()`
`long` | `getWriteCount()`
`void` | `loadNewSSTables()` Scan through Keyspace/ColumnFamily's data directory determine which SSTables should be loaded and load them
`void` | `setCompactionStrategyClass(java.lang.String className)` Sets the compaction strategy by class name
`void` | `setCompactionThresholds(int minThreshold, int maxThreshold)` Sets the maximum and maximum number of SSTables in queue before compaction kicks off
`void` | `setCompressionParameters(java.util.Map<java.lang.String,java.lang.String> opts)` Set the compression parameters
`void` | `setCrcCheckChance(double crcCheckChance)` Set new crc check chance
`void` | `setMaximumCompactionThreshold(int threshold)` Sets the maximum number of sstables in queue before compaction kicks off
`void` | `setMinimumCompactionThreshold(int threshold)` Sets the minimum number of sstables in queue before compaction kicks off

Method Detail

### getColumnFamilyName

    java.lang.String getColumnFamilyName()

  Returns:
    the name of the column family

### getMemtableDataSize

    long getMemtableDataSize()

  Returns the total amount of data stored in the memtable, including column related overhead.

  Returns:
    The size in bytes.

### getMemtableColumnsCount

    long getMemtableColumnsCount()

  Returns the total number of columns present in the memtable.

  Returns:
    The number of columns.

### getMemtableSwitchCount

    int getMemtableSwitchCount()

  Returns the number of times that a flush has resulted in the memtable being switched out.

  Returns:
    the number of memtable switches

### getRecentSSTablesPerReadHistogram

    long[] getRecentSSTablesPerReadHistogram()

  Returns:
    a histogram of the number of sstable data files accessed per read: reading this property resets it

### getSSTablesPerReadHistogram

    long[] getSSTablesPerReadHistogram()

  Returns:
    a histogram of the number of sstable data files accessed per read

### getReadCount

    long getReadCount()

  Returns:
    the number of read operations on this column family

### getTotalReadLatencyMicros

    long getTotalReadLatencyMicros()

  Returns:
    total read latency (divide by getReadCount() for average)

### getLifetimeReadLatencyHistogramMicros

    long[] getLifetimeReadLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentReadLatencyHistogramMicros

    long[] getRecentReadLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentReadLatencyMicros

    double getRecentReadLatencyMicros()

  Returns:
    average latency per read operation since the last call

### getWriteCount

    long getWriteCount()

  Returns:
    the number of write operations on this column family

### getTotalWriteLatencyMicros

    long getTotalWriteLatencyMicros()

  Returns:
    total write latency (divide by getReadCount() for average)

### getLifetimeWriteLatencyHistogramMicros

    long[] getLifetimeWriteLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentWriteLatencyHistogramMicros

    long[] getRecentWriteLatencyHistogramMicros()

  Returns:
    an array representing the latency histogram

### getRecentWriteLatencyMicros

    double getRecentWriteLatencyMicros()

  Returns:
    average latency per write operation since the last call

### getPendingTasks

    int getPendingTasks()

  Returns:
    the estimated number of tasks pending for this column family

### getLiveSSTableCount

    int getLiveSSTableCount()

  Returns:
    the number of SSTables on disk for this CF

### getLiveDiskSpaceUsed

    long getLiveDiskSpaceUsed()

  Returns:
    disk space used by SSTables belonging to this CF

### getTotalDiskSpaceUsed

    long getTotalDiskSpaceUsed()

  Returns:
    total disk space used by SSTables belonging to this CF, including obsolete ones waiting to be GC'd

### forceMajorCompaction

    void forceMajorCompaction()
                              throws java.util.concurrent.ExecutionException,
                                     java.lang.InterruptedException

  force a major compaction of this column family

  Throws:
    `java.util.concurrent.ExecutionException`
    `java.lang.InterruptedException`

### getMinRowSize

    long getMinRowSize()

  Returns:
    the size of the smallest compacted row

### getMaxRowSize

    long getMaxRowSize()

  Returns:
    the size of the largest compacted row

### getMeanRowSize

    long getMeanRowSize()

  Returns:
    the size of the smallest compacted row

### getBloomFilterFalsePositives

    long getBloomFilterFalsePositives()

### getRecentBloomFilterFalsePositives

    long getRecentBloomFilterFalsePositives()

### getBloomFilterFalseRatio

    double getBloomFilterFalseRatio()

### getRecentBloomFilterFalseRatio

    double getRecentBloomFilterFalseRatio()

### getBloomFilterDiskSpaceUsed

    long getBloomFilterDiskSpaceUsed()

### getMinimumCompactionThreshold

    int getMinimumCompactionThreshold()

  Gets the minimum number of sstables in queue before compaction kicks off

### setMinimumCompactionThreshold

    void setMinimumCompactionThreshold(int threshold)

  Sets the minimum number of sstables in queue before compaction kicks off

### getMaximumCompactionThreshold

    int getMaximumCompactionThreshold()

  Gets the maximum number of sstables in queue before compaction kicks off

### setCompactionThresholds

    void setCompactionThresholds(int minThreshold,
                                 int maxThreshold)

  Sets the maximum and maximum number of SSTables in queue before compaction kicks off

### setMaximumCompactionThreshold

    void setMaximumCompactionThreshold(int threshold)

  Sets the maximum number of sstables in queue before compaction kicks off

### setCompactionStrategyClass

    void setCompactionStrategyClass(java.lang.String className)
                                    throws ConfigurationException

  Sets the compaction strategy by class name

  Parameters:
    `className` - the name of the compaction strategy class
  Throws:
    `ConfigurationException`

### getCompactionStrategyClass

    java.lang.String getCompactionStrategyClass()

  Gets the compaction strategy class name

### getCompressionParameters

    java.util.Map<java.lang.String,java.lang.String> getCompressionParameters()

  Get the compression parameters

### setCompressionParameters

    void setCompressionParameters(java.util.Map<java.lang.String,java.lang.String> opts)
                                  throws ConfigurationException

  Set the compression parameters

  Parameters:
    `opts` - map of string names to values
  Throws:
    `ConfigurationException`

### setCrcCheckChance

    void setCrcCheckChance(double crcCheckChance)
                           throws ConfigurationException

  Set new crc check chance

  Throws:
    `ConfigurationException`

### disableAutoCompaction

    void disableAutoCompaction()

  Disable automatic compaction.

### estimateKeys

    long estimateKeys()

### getEstimatedRowSizeHistogram

    long[] getEstimatedRowSizeHistogram()

### getEstimatedColumnCountHistogram

    long[] getEstimatedColumnCountHistogram()

### getCompressionRatio

    double getCompressionRatio()

### getBuiltIndexes

    java.util.List<java.lang.String> getBuiltIndexes()

  Returns a list of the names of the built column indexes for current store

  Returns:
    list of the index names

### getSSTablesForKey

    java.util.List<java.lang.String> getSSTablesForKey(java.lang.String key)

  Returns a list of filenames that contain the given key on this node

  Parameters:
    `key` -
  Returns:
    list of filenames containing the key

### loadNewSSTables

    void loadNewSSTables()

  Scan through Keyspace/ColumnFamily's data directory determine which SSTables should be loaded and load them

### getUnleveledSSTables

    int getUnleveledSSTables()

  Returns:
    the number of SSTables in L0. Always return 0 if Leveled compaction is not enabled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation